V0 - List organizations
List the organizations the current user is administrating
curl --request GET \
--url https://stage-expense.findity.com/api/admin/organizations/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-expense.findity.com/api/admin/organizations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-expense.findity.com/api/admin/organizations/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organizations": [
{
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"externalSourceId": "b8f25983-24f7-499b-95eb-a7450b2ea5d4",
"className": "com.findity.consumer.Company",
"lastUpdated": "2026-03-06T10:25:59Z",
"dateCreated": "2026-02-25T13:46:08Z",
"status": "NORMAL",
"name": "Example Organization AB",
"vat": "123456-1234",
"phone": "",
"clientApplicationId": "16200214",
"supportAccessEndDate": "2026-03-27T13:46:08Z",
"sendEventToExternalSystem": true,
"iconUrl": "https://expense.findity.com/api/resources/abc123",
"partnerId": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"partnerName": "Example Partner",
"classType": "com.findity.consumer.Company"
},
{
"id": "b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5",
"externalSourceId": null,
"className": "com.findity.consumer.TemplateOrganization",
"lastUpdated": "2026-02-26T15:09:47Z",
"dateCreated": "2026-01-20T08:28:07Z",
"status": "NORMAL",
"name": "Example Template Organization",
"vat": "-",
"phone": "",
"clientApplicationId": "16200214",
"supportAccessEndDate": "2026-02-19T08:28:07Z",
"sendEventToExternalSystem": null,
"iconUrl": "https://expense.findity.com/api/resources/abc123"
}
],
"serverTime": "2026-04-24T08:07:27Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Standard application/json content type.
Findity API version. Use 3 for the current admin API.
Response
A list of organizations the current user is administrating, along with the server time of the response.
Response envelope for the List organizations endpoint.
List of organizations the current user is administrating
Hide child attributes
Hide child attributes
The internal Findity ID of the organization
"a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
The external identifier set by the integrating system. Null if not set.
"b8f25983-24f7-499b-95eb-a7450b2ea5d4"
The type of organization. com.findity.consumer.Company for regular organizations, com.findity.consumer.TemplateOrganization for template organizations.
"com.findity.consumer.Company"
Same value as className. Included for legacy reasons.
"com.findity.consumer.Company"
Timestamp of when the organization was last updated
"2026-03-06T10:25:59Z"
Timestamp of when the organization was created
"2026-02-25T13:46:08Z"
NORMAL indicates a fully configured organization. INCOMPLETE indicates setup is not yet finished.
NORMAL, INCOMPLETE "NORMAL"
Display name of the organization
"Example Organization AB"
The organizational number (VAT number)
"123456-1234"
Phone number of the organization
""
The ID of the client application this organization belongs to
"16200214"
The date until which Findity support has access to this organization
"2026-03-27T13:46:08Z"
Whether integration events should be sent to an external system when data changes in this organization
true
URL to the organization's icon image
"https://expense.findity.com/api/resources/abc123"
Internal ID of the partner this organization belongs to. Not present for template organizations.
"a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
Display name of the partner this organization belongs to. Not present for template organizations.
"Example Partner"
The server time at the moment the response was generated
"2026-04-24T08:07:27Z"
curl --request GET \
--url https://stage-expense.findity.com/api/admin/organizations/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-expense.findity.com/api/admin/organizations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-expense.findity.com/api/admin/organizations/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organizations": [
{
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"externalSourceId": "b8f25983-24f7-499b-95eb-a7450b2ea5d4",
"className": "com.findity.consumer.Company",
"lastUpdated": "2026-03-06T10:25:59Z",
"dateCreated": "2026-02-25T13:46:08Z",
"status": "NORMAL",
"name": "Example Organization AB",
"vat": "123456-1234",
"phone": "",
"clientApplicationId": "16200214",
"supportAccessEndDate": "2026-03-27T13:46:08Z",
"sendEventToExternalSystem": true,
"iconUrl": "https://expense.findity.com/api/resources/abc123",
"partnerId": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"partnerName": "Example Partner",
"classType": "com.findity.consumer.Company"
},
{
"id": "b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5",
"externalSourceId": null,
"className": "com.findity.consumer.TemplateOrganization",
"lastUpdated": "2026-02-26T15:09:47Z",
"dateCreated": "2026-01-20T08:28:07Z",
"status": "NORMAL",
"name": "Example Template Organization",
"vat": "-",
"phone": "",
"clientApplicationId": "16200214",
"supportAccessEndDate": "2026-02-19T08:28:07Z",
"sendEventToExternalSystem": null,
"iconUrl": "https://expense.findity.com/api/resources/abc123"
}
],
"serverTime": "2026-04-24T08:07:27Z"
}
